Bug 1277687 - iscsi deployment images should NOT be mounted from /mnt
iscsi deployment images should NOT be mounted from /mnt
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All All
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: Lucas Alvares Gomes
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 15:22 EST by Dan Yocum
Modified: 2016-10-17 05:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-17 05:03:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-11-03 15:22:12 EST
Description of problem:

During deployment, iscsi volumes are attempted to be placed in the /mnt/state/ dir regardless of the size the volume that /mnt may be on (usually /, which may be a small partition, sized only to hold config files, binaries, libraries, etc.)

The purpose of the /mnt dir is to temporarily mount things _on_, and not a dir to mount things _from_.  See this:

http://www.pathname.com/fhs/pub/fhs-2.3.html#MNTMOUNTPOINTFORATEMPORARILYMOUNT

The iscsi system image should be mounted from a FS that is sufficiently large, for instance /var or /home.

Version-Release number of selected component (if applicable):


How reproducible:
Every


Steps to Reproduce:
1. Put /mnt on the / FS with only 2.4GB of usable space
2. openstack deploy overcloud -e ....
3.

Actual results:
2015-10-08 21:50:42.043 1352 WARNING ironic.conductor.manager [-] Error
in deploy of node 3ffa5493-6876-45cd-ae8e-9ce06814365f: Disk volume
where '/mnt/state/var/lib/ironic/master_images/tmpWS1GRD' is located
doesn't have enough disk space. Required 3953 MiB, only 1765 MiB
available space present.

Expected results:
Overcloud deploys

Additional info:
Comment 3 Dan Yocum 2016-04-01 10:10:51 EDT
Forgot about this and got bit by it, again.  

Adding dmacpher to add this to the Troubleshooting section of the Director docs:


"

If the following error is issued in the ironic-conductor.log, then make sure /mnt is on a filesystem volume that is at least 20GB:

2015-10-08 21:50:42.043 1352 WARNING ironic.conductor.manager [-] Error
in deploy of node 3ffa5493-6876-45cd-ae8e-9ce06814365f: Disk volume
where '/mnt/state/var/lib/ironic/master_images/tmpWS1GRD' is located
doesn't have enough disk space. Required 3953 MiB, only 1765 MiB
available space present.

"
Comment 4 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Dmitry Tantsur 2016-10-17 05:03:19 EDT
Hi! I've just checked, and in OSP10 Ironic stores images in /var, as expected. Maybe it was a configuration problem back then.

Note You need to log in before you can comment on or make changes to this bug.